<?php
/**
 * Credorax Payments For WooCommerce
 * https://www.credorax.com/
 *
 * @category Credorax
 * @package  WC_Credorax
 * @author   Girit-Interactive (https://www.girit-tech.com/)
 */

 if (! defined('ABSPATH')) {
     exit; // Exit if accessed directly.
 }
 
/**
 * WC_Credorax_Source_Messages class.
 */
class WC_Credorax_Source_Messages
{
    public static function get3dStatusMessage($status)
    {
        switch ($status) {
            case 'A':
                return __('Attempts Processing Performed; Not Authenticated/Verified, but a proof of attempted authentication/verification is provided', 'woocommerce-gateway-credorax');
                break;
            case 'Y':
                return __('Authentication/ Account Verification Successful', 'woocommerce-gateway-credorax');
                break;
            case 'N':
                return __('Not Authenticated /Account Not Verified; Transaction denied', 'woocommerce-gateway-credorax');
                break;
            case 'R':
                return __('Authentication/ Account Verification Rejected; Issuer is rejecting authentication/verification and requests that authorisation not be attempted.', 'woocommerce-gateway-credorax');
                break;
            case 'U':
                return __('Authentication/ Account Verification Could Not Be Performed; Technical or other problem', 'woocommerce-gateway-credorax');
                break;
            default:
                return null;
                break;
        }
    }
}
